@import "../../_mixins.scss";

.site-settings-container {
  display: flex;
  flex-direction: column;
  position: relative;
  background-color: var(--tile-bg);
  .horizontal-tabs-container .horizontal-tabs .tab-link {
    padding: 10px 35px;
    font-weight: 600;
  }

  .fire-report-settings {
    .fire-settings-loader {
      position: fixed;
      top: 50%;
      z-index: 5;
      left: 0%;
    }
    .fire-setting-row {
      display: flex;
      position: relative;
      padding-right: 5%;
    }
    .fire-setting-save {
      margin: 20px 0 30px 20px;
    }
  }

  .sites-listing-container {
    .task-status {
      margin: 0 auto;
      text-align: center;
      font-size: var(--font-l);
      color: var(--pm-warning);
      font-weight: 600;
      margin-top: 5px;
    }
    .action-top-bar {
      display: flex;
      background-color: white;
      border-bottom: solid 1px #d3dde0;
      justify-content: space-between;
      align-items: center;
      padding: 0 10px;

      .site-settings__search {
        width: 300px;
        padding: 0px;
      }
      .site-setting-sync-site {
        margin-right: 10px;
      }
    }

    .sites-list {
      background: white;

      .header {
        padding: 15px 20px 15px 15px;
        display: grid;
        grid-template-rows: auto;
        border-bottom: solid 1px #d3dde0;

        .sites-header-title {
          cursor: pointer;
          font-weight: 600;
        }
      }

      .column-5 {
        grid-template-columns: 1fr 1.25fr 0.75fr 0.75fr 0.5fr;
        font-size: var(--font-s);
      }
      .column-5.even {
        background: #d9d9d91f;
      }

      .row-panel {
        display: grid;
        grid-template-rows: auto;
        line-height: 3;
        font-weight: 500;
        padding: 10px 15px;
        border-bottom: 1px solid #eef2f5;
        .hide-overflow-width {
          display: flex;
          justify-content: left;
          overflow: hidden;
          .ellipsis-text {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            width: 85%;
          }
        }
        .configured-sites-actions {
          display: flex;
          align-items: center;
          justify-content: space-evenly;
          .edit-btn {
            margin: 0;
            border-radius: 4px;
            border: none;
            background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
            background-color: #f3f3f3;
            &:hover,
            &:focus,
            &:active:hover,
            &:active:focus,
            &:hover:focus,
            &:active {
              border: none;
              background: url(/assets/new-icons/edit_pencil.svg) center
                no-repeat;
              background-size: 18px;
              background-color: #dfdfdf;
            }
          }
          .confirm-help-icon {
            display: flex;
            .delete-confirm-btn {
              margin: 0;
            }
          }
        }
      }

      #siteSettingsList {
        @include small_scroll();
      }
    }
  }
}

.create-site-modal {
  padding: 10px 0;
  .modal-body {
    padding: 0 !important;
    .add-site__body {
      display: flex;
      flex-wrap: wrap;
    }
  }
}

#SiteSyncErrors {
  max-height: 70vh;
}